function queryBalance(urls, queryParams) {
	// 默认查询第一页 query查询时保存当前条件
	var TempPageNumber = 1, pageSize = 10;
	try {
		TempPageNumber = $('#datatable').datagrid('getPager').pagination("options").pageNumber;
		pageSize = $('#datatable').datagrid('getPager').pagination("options").pageSize;
	} catch (e) {

	}
	$('#datatable')
			.datagrid(
					{
						title : "信息列表",
						iconCls : 'icon-search',
						pageNumber : TempPageNumber,
						pageSize : pageSize,
						pageList : [ 5, 10, 15, 20, 25, 30, 35, 40, 45, 50 ],
						nowrap : true,
						striped : true,
						border : true,
						noheader : true,
						url : urls,
						loadMsg : '数据加载中......',
						queryParams : queryParams,
						remoteSort : false,
						fitColumns : true,
						singleSelect : false,
						columns : [ [
								{
									field : 'name',
									title : '经销商名称',
									sortable : 'true',
									align : 'center',
									width : 10
								},
								
								{
									field : 'abbr_code',
									title : '经销商代码',
									sortable : 'true',
									align : 'center',
									width : 10
								},
								{
									field : 'conpon',
									title : '代金劵',
									sortable : 'true',
									align : 'center',
									width : 10,
									 formatter:function(value, row, index){  
									        var str = '<a class="aColor"><div  onclick="showDetailbylist(-1,'+row.cid+');">'+value+'元</div></a>';  
									        return str;  
									}
								},{
									field : 'deliverwater',
									title : '送水',
									sortable : 'true',
									align : 'center',
									width : 10,
									 formatter:function(value, row, index){  
									        var str = '<a class="aColor"><div  onclick="showDetailbylist(1003,'+row.cid+');">'+value+'元</div></a>';  
									        return str;  
									}
								}, {
									field : 'roadrepair',
									title : '路修',
									sortable : 'true',
									align : 'center',
									width : 10,
									 formatter:function(value, row, index){  
									        var str = '<a class="aColor"><div  onclick="showDetailbylist(1001,'+row.cid+');">'+value+'元</div></a>';  
									        return str;  
									}
								}, {
									field : 'scooter',
									title : '代步车',
									sortable : 'true',
									align : 'center',
									width : 10,
									 formatter:function(value, row, index){  
									        var str = '<a class="aColor"><div  onclick="showDetailbylist(1002,'+row.cid+');">'+value+'元</div></a>';  
									        return str;  
									}
								}, {
									field : 'rescuecabinet',
									title : '救援柜',
									sortable : 'true',
									align : 'center',
									width : 10,
									 formatter:function(value, row, index){  
										 var str = '<a class="aColor"><div  onclick="showDetailbylist(1004,'+row.cid+');">'+value+'元</div></a>';  
										 return str;  
									}
								}
						] ],
						pagination : true,
						rownumbers : false,
						onLoadSuccess : function(data) {
						},
						toolbar : [ ],
						onCheck : function(rowIndex, rowData) {
						},
						onCheckAll : function(rows) {
						},
						onUncheck : function(rowIndex, rowData) {
						},
						onLoadSuccess : function(data) {
						},
						onUncheckAll : function(rows) {
						}

					});
	$('#datatable').datagrid('getPager').pagination({
		displayMsg : '当前显示从 {from} 到 {to} 共{total}条记录',
		onBeforeRefresh : function(pageNumber, pageSize) {
			$(this).pagination('loading');
			$(this).pagination('loaded');
		}
	});
}



// 
function queryCouponBalanceList(urls, queryParams) {
	// 默认查询第一页 query查询时保存当前条件
	var TempPageNumber = 1, pageSize = 10;
	try {
		TempPageNumber = $('#deletail_datatable').datagrid('getPager').pagination("options").pageNumber;
		pageSize = $('#deletail_datatable').datagrid('getPager').pagination("options").pageSize;
	} catch (e) {

	}
	$('#deletail_datatable')
			.datagrid(
					{
						title : "信息列表",
						iconCls : 'icon-search',
						pageNumber : TempPageNumber,
						pageSize : pageSize,
						pageList : [ 5, 10, 15, 20, 25, 30, 35, 40, 45, 50 ],
						nowrap : true,
						striped : true,
						border : true,
						noheader : true,
						url : urls,
						loadMsg : '数据加载中......',
						queryParams : queryParams,
						remoteSort : false,
						fitColumns : true,
						singleSelect : false,
						frozenColumns : [ [ {
							field : 'ck',
							checkbox : true
						   
						} ] ],
						columns : [ [
								
								{
									field : 'ids',
									title : 'VIN',
									sortable : 'true',
									align : 'center',
									width : 10
								},{
									field : 'name',
									title : '姓名',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'c2name',
									title : '经销商',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'params1',
									title : '金额',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'date',
									title : '日期',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'params2',
									title : '审批状态',
									sortable : 'true',
									align : 'center',
									width : 10,
									 formatter:function(value, row, index){  
									        return getSettlementStateStr(value);  
									 }
								},{field:'operate',title:'操作',align:'center',width:5,  
								    formatter:function(value, row, index){
								    	var str ;
								    	if(cancelState(row.params2)){
								    		 str = '<a href="#" name="opera" class="easyui-linkbutton" onclick="changeSettlementState('+row.params3+',101,0);">撤销</a>';  
								    	}else{
								    		 str = '撤销';
								    	}
								    	return str;  
								}}
						] ],
						pagination : true,
						rownumbers : false,
						toolbar : [],
						 onClickRow: function(rowIndex, rowData) {  
							   //加载完毕后获取所有的checkbox遍历
					            $("input[type='checkbox']").each(function(index, el){
					                //如果当前的复选框不可选，则不让其选中
					                if (el.disabled == true&&index!=0) {
					                	 $("#deletail_datatable").datagrid('unselectRow', index - 1);
					                }
					            });
				            },  
				        
					    onCheckAll: function(rows) {  
					    	 $("input[type='checkbox']").each(function(index, el) { 
				                    if (el.disabled&&index!=0) {  
				                        $("#deletail_datatable").datagrid('uncheckRow', index - 1);
				                    }  
				                }) ; 
					    },
						onLoadSuccess : function(data) {
							if (data.rows.length > 0) {
				                for (var i = 0; i < data.rows.length; i++) {
				                    if (!canCheckbox(data.rows[i].params2)) {
				                        $("input[type='checkbox']")[i+1].disabled = true;
				                    }
				                }
				            }
						}
						

					});
	$('#deletail_datatable').datagrid('getPager').pagination({
		displayMsg : '当前显示从 {from} 到 {to} 共{total}条记录',
		onBeforeRefresh : function(pageNumber, pageSize) {
			$(this).pagination('loading');
			$(this).pagination('loaded');
		}
	});
}

//
function queryBalanceList(urls, queryParams) {
	// 默认查询第一页 query查询时保存当前条件
	var TempPageNumber = 1, pageSize = 10;
	try {
		TempPageNumber = $('#deletail_datatable').datagrid('getPager').pagination("options").pageNumber;
		pageSize = $('#deletail_datatable').datagrid('getPager').pagination("options").pageSize;
	} catch (e) {

	}
	$('#deletail_datatable')
			.datagrid(
					{
						title : "信息列表",
						iconCls : 'icon-search',
						pageNumber : TempPageNumber,
						pageSize : pageSize,
						pageList : [ 5, 10, 15, 20, 25, 30, 35, 40, 45, 50 ],
						nowrap : true,
						striped : true,
						border : true,
						noheader : true,
						url : urls,
						loadMsg : '数据加载中......',
						queryParams : queryParams,
						remoteSort : false,
						fitColumns : true,
						singleSelect : false,
						frozenColumns : [ [ {
							field : 'ck',
							checkbox : true
						   
						} ] ],
						columns : [ [
								
								{
									field : 'ids',
									title : '订单号',
									sortable : 'true',
									align : 'center',
									width : 10
								},{
									field : 'name',
									title : '姓名',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'phone',
									title : '电话',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'c2name',
									title : '经销商',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'date',
									title : '日期',
									sortable : 'true',
									align : 'center',
									width : 10
								}, {
									field : 'params2',
									title : '审批状态',
									sortable : 'true',
									align : 'center',
									width : 10,
									 formatter:function(value, row, index){  
									        return getSettlementStateStr(value);  
									 }
								},{field:'operate',title:'操作',align:'center',width:5,  
								    formatter:function(value, row, index){
								    	var str ;
								    	if(cancelState(row.params2)){
								    		 str = '<a href="#" name="opera" class="easyui-linkbutton" onclick="changeSettlementState('+row.params3+',101,1);">撤销</a>';  
								    	}else{
								    		 str = '撤销';
								    	}
								    	return str;  
								}}
						] ],
						pagination : true,
						rownumbers : false,
						toolbar : [ ],
						 onClickRow: function(rowIndex, rowData) {  
							   //加载完毕后获取所有的checkbox遍历
					            $("input[type='checkbox']").each(function(index, el){
					                //如果当前的复选框不可选，则不让其选中
					                if (el.disabled == true&&index!=0) {
					                	 $("#deletail_datatable").datagrid('unselectRow', index - 1);
					                }
					            });
				            },  
				        
					    onCheckAll: function(rows) {  
					    	 $("input[type='checkbox']").each(function(index, el) { 
				                    if (el.disabled&&index!=0) {  
				                        $("#deletail_datatable").datagrid('uncheckRow', index - 1);
				                    }  
				                }) ; 
					    },
						onLoadSuccess : function(data) {
							if (data.rows.length > 0) {
				                for (var i = 0; i < data.rows.length; i++) {
				                    if (!canCheckbox(data.rows[i].params2)) {
				                        $("input[type='checkbox']")[i+1].disabled = true;
				                    }
				                }
				            }
						}

					});
	$('#deletail_datatable').datagrid('getPager').pagination({
		displayMsg : '当前显示从 {from} 到 {to} 共{total}条记录',
		onBeforeRefresh : function(pageNumber, pageSize) {
			$(this).pagination('loading');
			$(this).pagination('loaded');
		}
	});
}
function tableChangeSettlementState(state){
	var type= $("#extraServer").val();
	var s;
	if(type>0){
		type=1;
	
	}else{
		type=0;
	}
	
	if(state==100){
		s="已付款";
	}else{
		s="同意付款";
	}
	
	var rows = $('#deletail_datatable').datagrid(
	'getSelections');
	if (rows.length == 0) {
		$.messager.alert('提示',
				'请选择'+s+'的信息!');
	} else {
		var ids = [];
		for (var i = 0; i < rows.length; i++) {
			ids.push(rows[i].params3);
		}
	
		$.messager
		.confirm(
				'提示',
				'确认'+s+'?',
				function(r) {
					if (r) {
						changeSettlementState(ids.join(","),state,type);
					}
				});
		
	}
}
function changeSettlementState(ids,state,type){
	
	var params={};
	params["ids"]=ids;
	params["state"]=state;
	params["type"]=type;
	var result = ajaxgetresultpost($("#paths").val()
			+ '/balance/change_settlement_state.do',params );
	if(result.flag==0){
		alert(result.msg);
		
	}else{
		alert(result.msg);
		
		$('#deletail_datatable').datagrid('reload');
	}	
}
function cancelState(val){
	
	//结算状态 ：    0或者空 未结算，5 提交结算 ,10 同意付款,100 已付款,101 撤销
	if(val==null||val==''||val==0){
		return true;
	}else {
		return false;
	}
}
function canCheckbox(val){
	
	//结算状态 ：    0或者空 未结算，5 提交结算 ,10 同意付款,100 已付款,101 撤销
	if(val==null||val==''||val==0||val==5||val==10){
		return true;
	}else {
		return false;
	}
}
function getSettlementStateStr(val){
	
	//结算状态 ：    0或者空 未结算，5 提交结算 ,10 同意付款,100 已付款,101 撤销
	if(val==null||val==''||val==0){
		return '未结算';
	}else if(val==5){
		return '提交结算';
	}else if(val==10){
		return '同意付款';
	}else if(val==100){
		return '已付款';
	}else if(val==101){
		return '已撤销';
	}
}
